Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981812 - Review Request: nodejs-tilelive-mapnik - Mapnik backend for tilelive
Summary: Review Request: nodejs-tilelive-mapnik - Mapnik backend for tilelive
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 981807
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2013-07-05 23:17 UTC by Tom Hughes
Modified: 2013-07-12 23:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-12 23:36:16 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-07-05 23:17:41 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-tilelive-mapnik.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-tilelive-mapnik-0.5.0-1.fc19.src.rpm
Fedora Account System Username: tomh

Description:
Renderer backend for tilelive.js that uses node-mapnik to render tiles and grids from a Mapnik XML file. tilelive-mapnik implements the Tilesource API.

Comment 1 Jamie Nguyen 2013-07-06 14:45:27 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
=======

nodejs-tilelive-mapnik.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end

I'd probably go for the hyphen or space.


[!]: %check is present and all tests pass.

Some failing tests, and for some reason I'm getting a segfault (building on rawhide within mock plus the other two packages).

  Render 
    1) getTile() override format
    getTile() 
      2) validates
    getTile() with XML string
      3) validates
  27 passing (809 ms)
  3 failing
  1) Render  getTile() override format:
     Uncaught Error: Command failed: inf
      at ChildProcess.exithandler (child_process.js:637:15)
      at ChildProcess.EventEmitter.emit (events.js:98:17)
      at maybeClose (child_process.js:735:16)
      at Socket.<anonymous> (child_process.js:948:11)
      at Socket.EventEmitter.emit (events.js:95:17)
      at Pipe.close (net.js:466:12)
  2) Render  getTile()  validates:
     Uncaught Error: Command failed: inf
      at ChildProcess.exithandler (child_process.js:637:15)
      at ChildProcess.EventEmitter.emit (events.js:98:17)
      at maybeClose (child_process.js:735:16)
      at Socket.<anonymous> (child_process.js:948:11)
      at Socket.EventEmitter.emit (events.js:95:17)
      at Pipe.close (net.js:466:12)
  3) Render  getTile() with XML string validates:
     Uncaught Error: Command failed: 66.4212
      at ChildProcess.exithandler (child_process.js:637:15)
      at ChildProcess.EventEmitter.emit (events.js:98:17)
      at maybeClose (child_process.js:735:16)
      at Socket.<anonymous> (child_process.js:948:11)
      at Socket.EventEmitter.emit (events.js:95:17)
      at Pipe.close (net.js:466:12)
/var/tmp/rpm-tmp.rA4zNH: line 32:  7138 Segmentation fault      NODE_PATH=lib /usr/lib/node_modules/mocha/bin/mocha -R spec



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-tilelive-mapnik-0.5.0-1.fc20.noarch.rpm
nodejs-tilelive-mapnik.noarch: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
nodejs-tilelive-mapnik.noarch: W: spelling-error %description -l en_US Renderer -> Tenderer, Rendered, Render er
nodejs-tilelive-mapnik.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
nodejs-tilelive-mapnik.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tilelive-mapnik.noarch: W: only-non-binary-in-usr-lib
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/step /usr/lib/node_modules/step
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/generic-pool /usr/lib/node_modules/generic-pool
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/sphericalmercator /usr/lib/node_modules/sphericalmercator
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/mapnik /usr/lib/node_modules/mapnik
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/mime /usr/lib/node_modules/mime
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/underscore /usr/lib/node_modules/underscore
1 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-tilelive-mapnik
nodejs-tilelive-mapnik.noarch: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
nodejs-tilelive-mapnik.noarch: W: spelling-error %description -l en_US Renderer -> Tenderer, Rendered, Render er
nodejs-tilelive-mapnik.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
nodejs-tilelive-mapnik.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tilelive-mapnik.noarch: W: only-non-binary-in-usr-lib
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/step /usr/lib/node_modules/step
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/generic-pool /usr/lib/node_modules/generic-pool
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/sphericalmercator /usr/lib/node_modules/sphericalmercator
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/mapnik /usr/lib/node_modules/mapnik
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/mime /usr/lib/node_modules/mime
nodejs-tilelive-mapnik.noarch: W: dangling-symlink /usr/lib/node_modules/tilelive-mapnik/node_modules/underscore /usr/lib/node_modules/underscore
1 packages and 0 specfiles checked; 0 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-tilelive-mapnik (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(generic-pool)
    npm(mapnik)
    npm(mime)
    npm(sphericalmercator)
    npm(step)
    npm(underscore)



Provides
--------
nodejs-tilelive-mapnik:
    nodejs-tilelive-mapnik
    npm(tilelive-mapnik)



Source checksums
----------------
http://registry.npmjs.org/tilelive-mapnik/-/tilelive-mapnik-0.5.0.tgz :
  CHECKSUM(SHA256) this package     : cf7397338a047e14454f9ec67000319c46f6869e6dc97dd008b320098dd79941
  CHECKSUM(SHA256) upstream package : cf7397338a047e14454f9ec67000319c46f6869e6dc97dd008b320098dd79941


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-tilelive-mapnik-0.5.0-1.fc19.src.rpm

Comment 2 Tom Hughes 2013-07-07 08:47:11 UTC
The test failures in rawhide (it works fine in F19 if you have all the dependencies) are caused by a change in behaviour of ImageMagick.

The tests are using ImageMagick's compare command to compare the generated image to the exemplar but that command is now exiting with status 1 even when it has worked, which the tests treats as an error. I have reported the ImageMagick issue:

https://bugzilla.redhat.com/show_bug.cgi?id=981944

Not sure why it subsequently causes Node to crash, but if I stop the test harness treating the exit code as an error then everything works.

Comment 3 Jamie Nguyen 2013-07-07 21:00:43 UTC
Strange. Well, tests are passing where it matters, so package approved!

Comment 4 Tom Hughes 2013-07-08 09:00:25 UTC
New Package SCM Request
=======================
Package Name: nodejs-tilelive-mapnik
Short Description: Mapnik backend for tilelive
Owners: tomh jamielinux
Branches:
InitialCC:

Comment 5 Gwyn Ciesla 2013-07-08 12:16:12 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.